import React from 'react';
import { ApplePayButtonBase } from './ApplePayButtonBase';
import { ApplePayButtonProps } from './ApplePayButtonProps';
export declare class ApplePayButton extends ApplePayButtonBase {
    buttonStyle: string;
    constructor(props: ApplePayButtonProps);
    renderSetupButton(): JSX.Element;
    renderPayButton(): JSX.Element;
    render(): React.ReactNode;
}
